# Copyright (C) 2021-2023 MicroSys Electronics GmbH
# Author: Kay Potthoff <kay.potthoff@microsys.de>

inherit microsys

FILESEXTRAPATHS:prepend := "${THISDIR}/${PN}:"

HSE_MACHINE:s32g2 = "S32G2"
HSE_MACHINE:s32g3 = "S32G3"

HSE_VERSION:s32g2 = "0_1_0_5"
HSE_VERSION:s32g3 = "0_2_16_1"

#HSE_LIC:s32g2 ?= "license.rtf"
#HSE_LIC:s32g3 ?= "license.rtf"

HSE_LIC_MD5:s32g2 = "97a0abc6fb5eb52a8cd1e99205caa71b"
HSE_LIC_MD5:s32g3 = "0474bb8a03b7bc0ac59e9331d5be687f"

HSE_SOC_REV:s32g2 = "s32g2xx_hse_fw_0.1.0_1.0.5_pb220413"
HSE_SOC_REV:s32g3 = "rev1.1_s32g3xx_hse_fw_0.20.0_2.16.1_pb221011"

HSE_FW_DEPLOY_DIR ?= "${@microsys_get_hse_fw_dir(d)}"
HSE_FW_IMG ?= "${@microsys_get_hse_fw_image(d)}"

#HSE_PKG = "HSE_FW_${HSE_MACHINE}_${HSE_VERSION}"

SRC_URI = " \
	file://${HSE_PKG}/hse/bin/ \
	file://${HSE_PKG}/interface/ \
	file://${HSE_PKG}/${HSE_LIC} \
	"

S = "${WORKDIR}"

do_install:append() {
  install -d ${HSE_FW_DEPLOY_DIR}
  install -c -m 0644 ${S}/${HSE_PKG}/hse/bin/${HSE_SOC_REV}.bin.pink ${HSE_FW_DEPLOY_DIR}/${HSE_FW_IMG}
}
